%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# tests temporarily disabled until we can install new grunt

Name:       nodejs-grunt-legacy-util
Version:    0.2.0
Release:    6%{?dist}
Summary:    Deprecated Grunt utils provided for backwards compatibility
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt-legacy-util
Source0:    http://registry.npmjs.org/grunt-legacy-util/-/grunt-legacy-util-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(async)
BuildRequires:  npm(exit)
BuildRequires:  npm(getobject)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(hooker)
BuildRequires:  npm(lodash)
BuildRequires:  npm(temporary)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(which)
%endif

%description
%{summary}.


%prep
%setup -q -n package

%nodejs_fixdep async
%nodejs_fixdep lodash
%nodejs_fixdep underscore.string '~2.3.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-util
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/grunt-legacy-util

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/grunt-legacy-util


%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-6
- Fix more npm dependencies

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-3
- Fix more npm dependencies

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-2
- Fix npm dependencies

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-1
- Update to upstream 0.2.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- initial package
